
QGIS Application - Bug report #11143

cannot remove layer visiblity group

2014-09-05 12:01 AM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Map Legend

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19471

Description

if you enable a group, of which some layers were previously deleted, it is not marked as in use (group is not checked in the menu).

hence, you cannot delete this group anymore.

also, nice to have would be to update a group.

Associated revisions

Revision fd5669cf - 2014-09-05 09:44 AM - Martin Dobias

Fix #11143 (remove visibility groups after removal of a layer)

Revision c04127ec - 2014-09-08 01:58 PM - Martin Dobias

Fix #11143  (cannot remove visibility group) take two

Revision 95f4a30e - 2014-09-10 07:05 AM - Martin Dobias

Fix #11143 take 3 (cannot remove visibility groups)

Now we also handle rules that are not valid anymore

History

#1 - 2014-09-05 12:46 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"fd5669cf8372916fb9be14988a4f35a22200363f".

#2 - 2014-09-08 01:25 AM - Denis Rouzaud

- Status changed from Closed to Reopened

Old visibility groups are still not checked after loading them.

Hence I can't remove them.
#3 - 2014-09-08 04:58 AM - Martin Dobias

- Status changed from Reopened to Closed

Fixed in changeset commit:"c04127eccd2b6d32b66dff4222eedab2756e0386".

#4 - 2014-09-09 05:53 AM - Denis Rouzaud

- Status changed from Closed to Reopened

might require a take 3, sorry...

I am still having trouble. I suspect this is related to rule based symbols visibility.

If it helps, we could arrange a live debugging on my project. Let me know.

#5 - 2014-09-09 10:59 PM - Martin Dobias

- Status changed from Reopened to Closed

Fixed in changeset commit:"95f4a30e7bbe35959b210d824d24648a51d7b17e".
